### Virtual Method

# Gio Mount get_uuid

#### Declaration

    char*
    get_uuid (
      GMount* mount
    )

#### Description

Gets the UUID for the `mount`. The reference is typically based on the file system UUID for the mount in question and should be considered an opaque string. Returns `NULL` if there is no UUID available.

#### Return value

Type: `char*`

The UUID for `mount` or `NULL` if no UUID can be computed. The returned string should be freed with `g_free()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.